summaryrefslogtreecommitdiffstats
path: root/network/amsn
diff options
context:
space:
mode:
author Marc-Andre Moreau <aghaster@hotmail.com>2010-05-11 15:01:25 +0200
committer Eric Hameleers <alien@slackbuilds.org>2010-05-11 15:01:25 +0200
commitba8516468d9f8a1db8129c9d49ac5dc4aa9df5ff (patch)
tree0fd4f64d47b03c526d9a56f7841f765c45878b3b /network/amsn
parenta09624e565d56a1f8e15f7d7e3214d8f39798fea (diff)
downloadslackbuilds-ba8516468d9f8a1db8129c9d49ac5dc4aa9df5ff.tar.gz
slackbuilds-ba8516468d9f8a1db8129c9d49ac5dc4aa9df5ff.tar.xz
network/amsn: Initial import
Diffstat (limited to 'network/amsn')
-rw-r--r--network/amsn/README18
-rw-r--r--network/amsn/amsn.SlackBuild83
-rw-r--r--network/amsn/amsn.info8
-rw-r--r--network/amsn/doinst.sh5
-rw-r--r--network/amsn/slack-desc12
5 files changed, 126 insertions, 0 deletions
diff --git a/network/amsn/README b/network/amsn/README
new file mode 100644
index 0000000000..f1e559b859
--- /dev/null
+++ b/network/amsn/README
@@ -0,0 +1,18 @@
+ aMSN is a free open source MSN Messenger clone, with features such as:
+
+ * Display pictures
+ * Custom emoticons
+ * Multi-language support (around 40 languages currently supported)
+ * Webcam support
+ * Sign in to more than one account at once
+ * Full-speed File transfers
+ * Group support
+ * Normal, and animated emoticons with sounds
+ * Chat logs
+ * Timestamping
+ * Event alarms
+ * Conferencing support
+ * Tabbed chat windows
+
+aMSN depends on TCL/TK 8.4. It also requires TLS 1.5 in order to work.
+
diff --git a/network/amsn/amsn.SlackBuild b/network/amsn/amsn.SlackBuild
new file mode 100644
index 0000000000..fdf4703c91
--- /dev/null
+++ b/network/amsn/amsn.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for aMSN
+# Written by Marc-Andre Moreau <aghaster@hotmail.com>
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=amsn
+VERSION=0.96
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP || exit 1
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+
+# aMSN's Makefile does not use the DESTDIR variable
+# Instead, it uses dstdir and slnkdir.
+
+# Tweak the Makefile a little bit in order to get our symlinks to point
+# to a different path than where the files are being copied.
+sed -i 's|ln -sf $(dstdir)/$(PACKAGE)|ln -sf $(DESTDIR)/$(PACKAGE)|' Makefile \
+ || exit 1
+
+make install dstdir=$PKG/usr/share slnkdir=$PKG/usr/bin DESTDIR=/usr/share \
+ || exit 1
+
+# For some reason, two amsn.desktop files are created during the
+# installation setup. Also, the icon path given in the amsn.desktop
+# file is a relative path, so we change it to a full path.
+sed -i 's|Icon=msn.png|Icon=/usr/share/icons/hicolor/48x48/msn.png|' \
+ $PKG/usr/share/applications/amsn.desktop || exit 1
+
+sed -i 's|Icon=msn.png|Icon=/usr/share/icons/hicolor/48x48/msn.png|' \
+ $PKG/usr/share/amsn/amsn.desktop || exit 1
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a AGREEMENT CREDITS FAQ GNUGPL HELP INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/amsn/amsn.info b/network/amsn/amsn.info
new file mode 100644
index 0000000000..bf3f3222ea
--- /dev/null
+++ b/network/amsn/amsn.info
@@ -0,0 +1,8 @@
+PRGNAM="amsn"
+VERSION="0.96"
+HOMEPAGE="http://amsn-project.net/"
+DOWNLOAD="http://dl.sourceforge.net/amsn/amsn-0.96.tar.bz2"
+MD5SUM="3df6b0d34ef1997a47c0b8af29b2547a"
+MAINTAINER="Marc-Andre Moreau"
+EMAIL="aghaster@hotmail.com"
+APPROVED="alien"
diff --git a/network/amsn/doinst.sh b/network/amsn/doinst.sh
new file mode 100644
index 0000000000..3412314ed0
--- /dev/null
+++ b/network/amsn/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/amsn/slack-desc b/network/amsn/slack-desc
new file mode 100644
index 0000000000..cc968d02a6
--- /dev/null
+++ b/network/amsn/slack-desc
@@ -0,0 +1,12 @@
+amsn: aMSN - Alvaro's Messenger
+amsn:
+amsn: aMSN is a clone of Microsoft's MSN Messenger, written in TCL/TK.
+amsn:
+amsn: http://amsn-project.net/
+amsn:
+amsn:
+amsn:
+amsn:
+amsn:
+amsn:
+